@echo OFF
rem  * ************************************************************************
rem  *                 ALAR80E1.cmd - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2016 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  * This procedure will perform the following conversion for a single file.
rem  * 1. Read an ASCII-encoded, Line Sequential file having variable-length
rem  *    records with a maximum record length of eighty-bytes.
rem  * 2. Write an ASCII-encoded, Record Sequential file having eighty-byte,
rem  *    fixed-length records.
rem  * ************************************************************************
rem  * This procedure calls the following Windows Command Files or Programs.
rem  * 1. ENV1BASE.cmd - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SIMONOTE.cmd - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * 3. RUN CV80ALAR - For the specified file perform the following actions.
rem  *                 - Do the file format conversion between Line Sequential
rem  *                   and Record Sequential.
rem  *                 - Leave the records in their ASCII-encoded content.
rem  * ************************************************************************
     set CmdName=ALAR80E1
     call ..\ENV1BASE %CmdName%
rem  *
     call SIMONOTE "*******************************************************%CmdName%.cmd"
     call SIMONOTE "Starting JobName %CmdName%.cmd"
rem  *
     set GETLS080=%BaseLib1%\DATA\Txt1\LSEQ0080.TXT
     set PUTRS080=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.QSAM0080.DAT
     call SIMONOTE "DataTAKE is %GETLS080%"
     call SIMONOTE "DataMAKE is %PUTRS080%"
     if exist %PUTRS080% erase %PUTRS080%
     run CV80ALAR
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
     if not exist %PUTRS080% set JobStatus=0035
     if not "%JobStatus%" == "0000" goto :EojNOK
     goto EojAok
:EojAOK
     call SIMONOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SIMONOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     echo %DATE% - %TIME% Starting User ABEND Processing...>>%SYSLOG%
     set >>%SYSLOG%
     echo %DATE% - %TIME% Complete User ABEND Processing...>>%SYSLOG%
     goto :End
:End
     call SIMONOTE "Conclude SysOut is %SYSOUT%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
