@echo OFF
rem  * ************************************************************************
rem  *                 ERAL80E1.CMD - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2016 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  * This procedure will perform the following conversion for a single file.
rem  * Read an EBCDIC-encoded, Record Sequential file containing eighty-byte,
rem  * fixed-length records.
rem  * Write an ASCII-encoded, Line Sequential file containing variable-length
rem  * records with a maximum record length of eighty-bytes.
rem  * ************************************************************************
rem  * This procedure calls the following Windows Command Files or Programs.
rem  * 1. ENV1BASE.CMD - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * 3. RUN ERAL80C1 - For the specified file perform the following actions.
rem  *                 - Do the file content conversion between EBCDIC & ASCII
rem  *                 - Do the file format conversion between Line Sequential
rem  *                   and Record Sequential.
rem  * ************************************************************************
     set CmdName=ERAL80E1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
     set GETRS080=%BaseLib1%\DATA\CblEbc\CblBitC1.CBL
     set PUTLS080=%BaseLib1%\DATA\CblASC\CblBitC1.CBL
     run CV80ERAL
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
